Get a Contact Method
curl --request GET \
--url https://api.virtuoussoftware.com/api/ContactMethod/{contactMethodId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/ContactMethod/{contactMethodId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactMethod/{contactMethodId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactMethod/{contactMethodId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ContactMethod/{contactMethodId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": 300101,
"type": "Home Email",
"value": "marcus.castellano@example.org",
"isOptedIn": true,
"isPrimary": true,
"canBePrimary": true,
"createDateTimeUtc": "2018-09-15T14:22:31Z",
"createdByUser": "Data Import",
"modifiedDateTimeUtc": "2025-10-12T09:15:42Z",
"modifiedByUser": "Nightly Sync"
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contact Methods
Get a Contact Method
GET
/
api
/
ContactMethod
/
{contactMethodId}
Get a Contact Method
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The contact method identifier.
Response
OK
The unique identifier of the record in Virtuous.
When true, this is the primary record for the contact.
When true, this record is eligible to be made the primary one.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
Last modified on April 23, 2026
Was this page helpful?
⌘I